package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.SiteInfo;

import java.util.List;

/**
 * 站点管理Mapper接口
 *
 * @author flossom
 * @date 2023-12-20
 */
public interface SiteInfoMapper
{
    /**
     * 查询站点管理
     *
     * @param id 站点管理主键
     * @return 站点管理
     */
    public SiteInfo selectSiteInfoById(Long id);

    /**
     * 查询站点管理列表
     *
     * @param siteInfo 站点管理
     * @return 站点管理集合
     */
    public List<SiteInfo> selectSiteInfoList(SiteInfo siteInfo);

    /**
     * 新增站点管理
     *
     * @param siteInfo 站点管理
     * @return 结果
     */
    public int insertSiteInfo(SiteInfo siteInfo);

    /**
     * 修改站点管理
     *
     * @param siteInfo 站点管理
     * @return 结果
     */
    public int updateSiteInfo(SiteInfo siteInfo);

    /**
     * 删除站点管理
     *
     * @param id 站点管理主键
     * @return 结果
     */
    public int deleteSiteInfoById(Long id);

    /**
     * 批量删除站点管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSiteInfoByIds(Long[] ids);
}
